NAME Nashabban Hiddenbeast
NAM2 a Nashabban Hiddenbeast
ICON items/s_nashabban.tga
GFXP items/l_nashabban.tga
FLAG life unique
DIST cold warm hot
TEXT This small grey crustacean from the planet Nashabba uses an instinctual telepathic ability to lure its prey to its claws.  They can be domesticated and trained to create minor illusions.
COST 300 lifeforms
TYPE other

